PPPOE-RELAY(8)

NOM
pppoe-relay - Agent de relais PPPoE espace utilisateur

SYNOPSIS
pppoe-relay [options]

DESCRIPTION
pppoe-relay est un agent de relais espace utilisateur pour PPPoE (Point-to-Point Protocol over Ethernet) pour Linux. pppoe-relay travaille de concert avec le client pppoe et le serveur pppoe-server. Voir la section FONCTIONNEMENT plus loin dans ce manuel pour voir en détail la façon d'opérer de pppoe-relay.

OPTIONS

-S interface
    Ajoute l'interface Ethernet interface à la liste des interfaces gérées par pppoe-relay. Seuls les serveurs PPPoE peuvent être connectés à cette interface.

-C interface
    Ajoute l'interface Ethernet interface à la liste des interfaces gérées par pppoe-relay. Seuls les clients PPPoE peuvent être connectés à cette interface.

-B interface
    Ajoute l'interface Ethernet interface à la liste des interfaces gérées par pppoe-relay. Seuls les clients et les serveurs PPPoE peuvent être connectés à cette interface.

-n nb
    Autorise au plus nb sessions PPPoE simultanées. Si elle n'est pas spécifiée, la valeur par défaut est 5000. nb peut être une valeur de 1 à 65534.

-i timeout
    Spécifie la fin d'attente inactive de la session. Si les deux vis-à-vis d'une session sont inactifs pendant une durée supérieure à timeout secondes, la session est clôturée. Si timeout est spécifié à zéro, les sessions ne seront jamais clôturées à cause de leur inactivité. Notez que la routine de fin d'activité d'une session n'est jamais lancée plus fréquemment que toutes les 30 secondes, aussi la fin d'attente est approximative. La valeur par défaut pour timeout est de 600 secondes (10 minutes).

-F  L'option -F force pppoe-relay à ne pas lancer un processus fils en arrière-plan ; à la place, il reste en avant-plan.

-h  L'option -h affiche un court message d'usage et quitte.

FONCTIONNEMENT
pppoe-relay se met à l'écoute des trames PADI PPPoE entrantes sur toutes les interfaces spécifiées par les options -B ou -C. Lorsqu'une trame PADI apparaît, pppoe-relay ajoute une balise Identificateur-de-Session-Relais (NdT : Relay-Session-ID) et diffuse le PADI sur toutes les interfaces spécifiées par les options -B ou -S (exceptée l'interface sur laquelle la trame est arrivée). Toutes les trames PADO reçues sont relayées vers le client qui envoie le PADI (en supposant qu'elles contiennent une balise Identificateur-de-Session-Relais valide). De même, les trames PADR des clients sont relayées vers le concentrateur d'accès concerné. Lorsqu'une trame PADS est reçue, pppoe-relay entre les deux adresses MAC des vis-à-vis et les identificateurs de session dans une table de hachage. (L'identificateur de session vu par le concentrateur d'accès peut être différent de celui vu par le client ; pppoe-relay doit renuméroter les sessions pour éviter la possibilité de duplication d'identificateur de session). Chaque fois que l'un des vis-à-vis envoie une trame de session, pppoe-relay cherche l'entrée de la session dans la table de hachage et relaie la trame au bon vis-à-vis. Lorsqu'une trame PADT est reçue, pppoe-relay relaie celle-ci au vis-à-vis et efface l'entrée de la session de sa table de hachage. Si un client et le serveur plantent (ou si les trames sont perdues), les trames PADT ne peuvent jamais être envoyées, et la table de hachage de pppoe-relay peut se remplir de sessions périmées. Donc, une routine de nettoyage de session tourne périodiquement, et retire les vieilles sessions de la table de hachage. Une session est considérée comme « vieille » si aucun trafic n'a été vu depuis timeout secondes. Lorsqu'une session a été effacée à cause d'une fin d'attente, une trame PADT est envoyée à chacun des vis-à-vis pour être certain qu'ils aient pris conscience du fait que la session ait été tuée.

EXEMPLE D'INVOCATIONS
pppoe-relay -C eth0 -S eth1
L'exemple ci-dessus relaie des trames entre des clients PPPoE sur le réseau eth0 et des serveurs PPPoE sur le réseau eth1.
pppoe-relay -B eth0 -B eth1
Cet exemple est un relais limpide -- des trames sont relayées entre tout mélange de clients et serveurs sur les réseaux eth0 et eth1.
pppoe-relay -S eth0 -C eth1 -C eth2 -C eth3
Cet exemple relaie des trames entre des serveurs sur le réseau eth0 et des clients sur les réseaux eth1, eth2 et eth3.

AUTEUR
pppoe-relay a été écrit David F. Skoll <dfs@roaringpenguin.com>. La page d'accueil pppoe est http://www.roaringpenguin.com/pppoe/.

VOIR AUSSI
pppoe-start(8), pppoe-stop(8), pppoe-connect(8), pppd(8), pppoe.conf(5), pppoe(8), pppoe-setup(8), pppoe-status(8), pppoe-sniff(8), pppoe-server(8)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 3 février 2003 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 pppoe-relay ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.